<?php
	// MSIE 6.0 pngfix
	if (strpos( $_SERVER["HTTP_USER_AGENT"] , "MSIE 6.0" )!==false) {
		if (!isset( $_SESSION["ie6warn"] )) {
			require_once( $GLOBALS["site_root"]."/includes/pages/FrontendPage.inc.php" );

			class IE6WarningPage extends FrontendPage {
				public function render() {
					if ($this->sRendered) return $this->sRendered;

					$this->setParam( "user_agent" , $_SERVER["HTTP_USER_AGENT"] );
					$this->setParam( "warning" , nl2br( __("IE6Warning") ) );
					return parent::render();
				}

			}

			$_SESSION["ie6warn"]=true;
			$page = new IE6WarningPage();
			$page->passGetPost( $getparams , $postparams );
			$page->handleEvents();
			echo $page->render();
			exit();
		}
		FNTH_class( "Page" );
		FNTHPage::setPageHead( "iepngfix_js" , FNTH_embed_js_file( $GLOBALS["site_www"] . "/design/rp/js/iepngfix_tilebg.js" ) );
		FNTHPage::setPageCSS( "iepngfix_css" , "img, div { behavior: url('/iepngfix.htc') }" );
	}
?>
